# Varbase Total Control Dashboard

A dashboard is what's missing for better Drupal administration experience.

This dashboard is built on top of [Total Control Admin Dashboard](https://www.drupal.org/project/total_control) module, utilizing Panels, [Google Analytics Reports](https://www.drupal.org/project/google_analytics_reports), and several enhanced blocks and widgets for an intuitive and flexible administration experience.

> The idea is made to provide the site admins with an appealing and concise dashboard to become the home of any Drupal site's administration task.

![](/files/-MeQG3w7SCkmX68g6T2k)

## Varbase Total Control Dashboard Module

{% hint style="info" %}
Varbase dashboard features are bundled through the **Varbase Total Control Dashboard** module.\
GitHub: <https://github.com/Vardot/varbase_total_control>\
Drupal.org: <https://www.drupal.org/project/varbase_total_control>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Total Control Dashboard** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_total_control
```

Brings in the following core and contributed modules to your site:

| Module                                                                                      | Purpose                                                                                                                                        |
| ------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| [**Total Control Admin Dashboard**](https://www.drupal.org/project/total_control)           | Total Control Administration Dashboard                                                                                                         |
| [**Google Analytics Reports**](https://www.drupal.org/project/google_analytics_reports)     | Display statistics from Google Analytics using Views.                                                                                          |
| [**Google Analytics Reports API**](https://www.drupal.org/project/google_analytics_reports) | API to access statistics from the [Google Analytics Core Reporting API](https://developers.google.com/analytics/devguides/reporting/core/v3/). |
| [**Charts**](https://www.drupal.org/project/charts)                                         | A charting API for Drupal that provides chart elements and integration with Views.                                                             |
| [**C3 Charts**](https://www.drupal.org/project/charts)                                      | Charts module integration with C3 Charts.                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/varbase-total-control-dashboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
